# <img src="https://www.koozali.org/images/koozali/Logo/Png/Koozali_logo_2016.png" width="25%" vertical="auto" style="vertical-align:bottom"> smeserver-gitutils

Utilities to use with smeserver on Koozali.org GITEA instance

Just a repackaging of some of Brian Read's tools with some modifications for the new git structure and some tidy-up of the ini file and debug statements

* config\
sample ~/.smegit/config or /etc/smegit.ini file - fill in your details\
It will use the user config first and system ini, if user config does not exist

* git-cvs2git.sh\
copy current cvs version of a package across to git in new structure\
git-cvs2git.sh \<repository\> \<organisation\> \[\<local\>\]\
\<organisation\> can ONLY be smeserver or smecontribs\
\<local\> will migrate into your local GITEA (in config), otherwise remote GITEA

* git-get-and-build-repo.sh\
bring down current git repository and run mockbuild\
git-get-and-build.sh \<repository\> \<organisation\> \[\<local\>\]\
\<local\> will build from local GITEA (in config), otherwise from remote GITEA

* git-migrate-repo.sh\
create mirror or copy of src.koozali.org repository in a local GITEA instance\
git-mirror-repo.sh \<repository\> \<organisation\> \[\<copy|mirror\> \<target organisation\>\]\
\<copy|mirror\> will create local repo as either a copy or a mirror of the remote repo (default = copy)\
\<target organisation\> within your local GITEA, otherwise local user - must exist already

* git-migrate-org.sh\
create mirrors of all repos for an organisation in a local GITEA instance\
git-mirror-org.sh \<organisation\> \[\<copy|mirror\> \<review\> \<target organisation\>\]\
\<copy|mirror\> will create local repos as either a copy or a mirror of the remote repos (default = copy)\
\<review\> will just list the repos to be migrated, rather than doing it\
\<target organisation\> within your local GITEA, otherwise local user - must exist already